// Initialize camera access and WebSocket connection
document.addEventListener('DOMContentLoaded', () => {
    const video = document.getElementById('video');
    const startBtn = document.getElementById('startBtn');
    
    // WebSocket connection
    const socket = io();
    
    // Camera setup
    // Camera initialization moved to button click handler
    
    // Start monitoring handler
    startBtn.addEventListener('click', () => {
        navigator.mediaDevices.getUserMedia({ video: true })
            .then(stream => {
                video.srcObject = stream;
                video.style.display = 'block';
                document.getElementById('cameraError').style.display = 'none';
            })
            .catch(err => {
                console.error('Error accessing camera:', err);
                video.style.display = 'none';
                document.getElementById('cameraError').style.display = 'block';
                document.getElementById('cameraError').textContent = '⚠️ يرجى توصيل كاميرا أو التحقق من إعدادات الصلاحية';
            });
    });
});